import { FetcherOptions, FetcherResult } from './interfaces';
export declare function sorter(data: any[], { sort }: FetcherOptions): any[];
export declare function filterer(data: any[], { filter }: FetcherOptions): any[];
export declare function createFetcherResult(data: any[], page: number, pageSize: number): Promise<FetcherResult>;
export declare function createUpdater<S extends any>(data: S[], idColumn?: string): (updatedItem: S) => void;
export declare function createFetcher(data: any[]): (page: number, pageSize: number, options?: FetcherOptions) => Promise<FetcherResult<any>>;
